## courier 0.75.0

=== debian/changelog ===
courier (0.75.0-20) unstable; urgency=medium

  * Use --list-missing instead of --fail-missing as workaround to failing
    dh-exec with dpkg-buildpackage -A (Closes: #822109)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2016 15:25:22 +0200

courier (0.75.0-19) unstable; urgency=medium

  * Fix cut&paste error in courier-mta init.d script (Closes: #822065)
  * Fix cut&paste error in courier-mta-ssl init.d script (Closes: #822066)
  * Add NEWS file about default user changes and
    courier-maildrop->maildrop changes (Closes: #822071, #822070)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2016 14:40:26 +0200

courier (0.75.0-18) unstable; urgency=medium

  * Add correct Breaks/Replaces to upgrade after moved some files to
    courier-mlm package (Closes: #820027)
  * Cleanup maintainer scripts after making courier-maildrop a dummy
    package (Closes: #820085)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Apr 2016 09:31:07 +0200

courier (0.75.0-17) unstable; urgency=medium

  * Fix depcomp failure by removing Makefile.in prior to dh_autoreconf
    call (Closes: #818511)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Mar 2016 12:19:25 +0100

courier (0.75.0-16) unstable; urgency=medium

  * Move transitional packages to oldlibs/extra
  * Move courier-maildrop to indep to return back correct versioning

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Mar 2016 17:49:46 +0100

courier (0.75.0-15) unstable; urgency=medium

  * Don't mangle autotools path to buildroot
  * Use shared config.cache to speed up configure runs
  * courier-imap-ssl.init needs to provide courier-imap-ssl and not
    courier-imap
  * We don't need exact binary version of courier-maildrop for
    courier-mlm, it's enforced by courier-base anyway (Closes: #814618)
  * Depend on courier-authlib-dev >= 0.66.4-5~ to pull version with proper
    shared libraries
  * Uses systemd-tmpfiles (and custom helper) to create /run directories
    (Closes: #349830)
  * Rewrote init scripts using init-d-script helper
    (Closes: #795449, #774349, #784001, #144503)
  * Correctly Build-Depend on libcourier-unicode-dev (Closes: #811151)
  * Kill duplicate courier-maildrop package and just depend on standard
    maildrop package
    (Closes: #289091, #193650, #567462, #684230)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Mar 2016 16:45:48 +0100

courier (0.75.0-14) unstable; urgency=medium

  * sysvinit-utils | init-d-script is Dependency and not Build-Dependency
  * Make sure that at least courier-authdaemon >= 0.66.4-4 is pulled
  * And courier-base was missing the usr/lib/courier/init-d-script-courier
    script
  * Disable parallel build to untangle the autoconf mess on Ubuntu Xenial

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Feb 2016 16:04:24 +0100

courier (0.75.0-13) unstable; urgency=medium

  * Cleanup sysvr scripts to match tmpfile handling of systemd init files
  * Update the rundir /run everywhere
  * Rewrite sysvrc scripts to use init-d-script from sysvinit-utils and
    add our own courier helper

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Feb 2016 13:29:02 +0100

courier (0.75.0-12) unstable; urgency=medium

  * Pre-create hosteddomains and esmtpacceptmailfor.dir directories (Closes: #813424)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Feb 2016 10:07:05 +0100

courier (0.75.0-11) unstable; urgency=medium

  * Add missing Required-Start: courier-authdaemon to courier-mta sysvrc
    script (Closes: #728747)
  * Properly call dh_installinit for courier-mta,courier-imap and
    courier-pop packages
  * Tune permissions on submitmkdir and /etc/courier
  * TLS_CERTFILE needs to be mangles in /etc/courier/esmtpd as well

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jan 2016 16:24:44 +0100

courier (0.75.0-10) unstable; urgency=medium

  * Get rid of /etc/courier/acceptmailfor directory that's not needed

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Jan 2016 13:00:41 +0100

courier (0.75.0-9) unstable; urgency=medium

  * Add tmpfile for each independent Courier MTA service file
  * Include debconf library in courier-imap postinst

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Jan 2016 11:49:36 +0100

courier (0.75.0-8) unstable; urgency=medium

  * Add couple more systemd units
  * Add /etc/courier/imapaccess handling to courier-imap package
  * Cleanup directories handling in maintainer scripts
  * Set setuid permissions to align with upstream (sendmail and rmail was missing)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Jan 2016 10:01:00 +0100

courier (0.75.0-7) unstable; urgency=medium

  * Reinstate install-perms code
  * Install the upstream required permissions into
    /usr/lib/courier/install-perms-list.dat
  * Add more fixed permissions for some extra dirs in /var/lib/courier
  * Dynamically resolver mailuid and mailgid on runtime (suboptimal,
    resolving is done every time)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Jan 2016 11:53:14 +0100

courier (0.75.0-6) unstable; urgency=medium

  * Use dh-autoreconf to regenerate build scripts
   + Create manual list for dh_autoreconf to catch en_us directory
   + Update patches to modify Makefile.am instead of mangling Makefile.in
   + sendmail now resides in /usr/sbin even in upstream Makefiles
   + Fix missing AC_PROG_SYSCONFTOOL macro on autoreconf
   + Update don't-chown-on-install patch to be even more aggressive
   + Don't run install-permissions in the end
  * Add systemd service files for all daemons
  * Other packaging fixes:
   + Remove extra debian/tmp directories from init scripts
   + Split one big old patch into individual patches
   + Fix typo i d/control s/0.75.0.1/0.75.0-1/
   + Add /etc/courier/esmtpacceptmailfor.dir directory to the package
   + Update courier-ssl because it's dummy transitional package as well
   + Properly cleanup old sysvrc scripts for courier-*-ssl packages

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Jan 2016 10:48:12 +0100

courier (0.75.0-1) unstable; urgency=medium

  * New upstream version 0.75.0

