## courier 0.76.1

=== debian/changelog ===
courier (0.76.1-3) unstable; urgency=medium

  * Add critical debconf notes about courier:courier change and
    courier-maildrop -> maildrop change (Closes: #822071)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 May 2016 17:09:49 +0200

courier (0.76.1-2) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * Make the build reproducible (Closes: #824037)
   + Use SOURCE_DATE_EPOCH for imapd version string.
   + Always use /bin/sh as SHELL, to get reproducible build.

  [ Ondřej Surý ]
  * Rebase patches on top of 0.76.1 release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 May 2016 10:16:09 +0200

courier (0.76.1-1) unstable; urgency=medium

  * Imported Upstream version 0.76.1
  * Override do_status from /lib/init/init-d-script to use PIDFILE + fix
    for non-standard daemon name in courier.init (Closes: #822067)
  * Use dh-systemd to enable the courier services at start
    (Closes: #823132)
  * Add notice about courier and courierfilter split from courier-mta

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 May 2016 15:24:33 +0200

courier (0.76.0.20160430-1) unstable; urgency=medium

  * Imported Upstream version 0.76.0.20160430
  * Includes fix for non-functional SNI

 -- Ondřej Surý <ondrej@debian.org>  Thu, 05 May 2016 11:31:23 +0200

courier (0.76.0-2) unstable; urgency=medium

  * We need to override do_start_cmd and do_stop_cmd instead of do_start
    and do_stop

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Apr 2016 09:12:28 +0200

courier (0.76.0-1) unstable; urgency=medium

  * Imported Upstream version 0.76.0
  * Refresh patches on top of 0.76 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Apr 2016 13:41:24 +0200
