=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                debhelper (>= 9),
                dh-autoreconf,
                dh-exec,
+	       dh-systemd,
                expect,
                ghostscript,
                groff-base,
@@ -70,6 +71,7 @@
 Package: courier-maildrop
 Architecture: all
 Depends: maildrop,
+         debconf | debconf-2.0,
          ${misc:Depends}
 Suggests: courier-doc
 Section: oldlibs
@@ -318,5 +320,3 @@
  SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
- This is transitional package and can be safely removed.
-
