=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 SED_VERSION=sed -ne 's/^Version: \(.*\)/\1/p'
 
 %:
-	dh $@ --with autotools-dev --with autoreconf
+	dh $@ --with autotools-dev --with autoreconf --with systemd
 
 override_dh_autoreconf:
 	find $(CURDIR) -name Makefile.in -delete
@@ -83,7 +83,7 @@
 		--disable-root-check
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(COMMON_CONFIGURE)
+	CONFIG_SHELL=/bin/sh dh_auto_configure -- $(COMMON_CONFIGURE)
 
 override_dh_auto_install:
 	INSTALL_IGNORE_UMASK=1 dh_auto_install -- install
