## courier 0.76.3

=== debian/changelog ===
courier (0.76.3-2) unstable; urgency=medium

  * Abort installation with more meaningful error message when
    IMAPACCESSFILE is missing (Closes: #815956)
  * Remove /etc/courier/imapaccess.dat on courier-imap purge
    (Closes: #814633)
  * Remove generated /etc/courier/esmtpd.rand on courier-mta purge
    (Closes: #814634)
  * Remove generated /usr/lib/courier/esmtpd.rand on courier-mta purge
    (Closes: #776667)
  * Compile with gnutls instead of openssl (Closes: #605594, #844975)
  * Use libmysqlclient-dev (<< 5.7) to enforce compilation with
    default-libmysqlclient-dev when available

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Nov 2016 14:35:48 +0100

courier (0.76.3-1) unstable; urgency=medium

  * Imported Upstream version 0.76.3
   + OpenSSL 1.1.0 support (Closes: #828272)
  * Rebase patches on top of 0.76.3 release
  * Use default-libmysqlclient-dev as a first choice dependency
  * Use openssl dhparam instead of openssl gendh for OpenSSL 1.1.x
    compatibility (Closes: #829477)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 31 Oct 2016 11:53:03 +0100

courier (0.76.2-1) experimental; urgency=medium

  * Imported Upstream version 0.76.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Aug 2016 14:04:43 +0200
