=== debian/control ===
--- 
+++ 
@@ -19,18 +19,18 @@
                libgdbm-dev | libgdbmg1-dev,
                libidn11-dev,
                libldap2-dev,
-               libmysqlclient-dev,
+               default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
                libpam0g-dev,
                libpcre3-dev,
                libperl-dev,
                libpq-dev,
                libsasl2-dev | libsasl-dev,
-               libssl-dev,
+	       libgnutls28-dev,
                libtool-bin | libtool,
                mgetty-fax,
                mime-support,
                netpbm,
-               openssl,
+	       gnutls-bin,
                po-debconf,
                procps,
                zlib1g-dev
@@ -45,7 +45,7 @@
          courier-authlib-userdb,
          debconf | debconf-2.0,
          lsb-base,
-         openssl,
+	 gnutls-bin,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
          ${perl:Depends},
@@ -56,15 +56,15 @@
 Description: Courier mail server - base system
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3,
- LDAP, SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
+ LDAP, TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
  mailing list services within a single, consistent, framework.
  .
  This package provides the functionality needed by all courier
  packages such as some configuration files, helper programs and the
  Courier TCP server daemon.
  .
- Courier uses the a SSL/TLS wrapper application named couriertls
- instead of embedding SSL/TLS support in the different applications.
+ Courier uses the a TLS wrapper application named couriertls
+ instead of embedding TLS support in the different applications.
  Additionally, this package contains a default set of trusted X.509
  root CA certs.
 
@@ -93,7 +93,7 @@
 Description: Courier mail server - mailing list manager
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3,
- LDAP, SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
+ LDAP, TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
  mailing list services within a single, consistent, framework.
  .
  The couriermlm command sets up, maintains, and runs a mailing list.
@@ -124,7 +124,7 @@
 Description: Courier mail server - ESMTP daemon
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3,
- LDAP, SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
+ LDAP, TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and
  mailing list services within a single, consistent, framework.
  .
  This package provides an ESMTP daemon which uses the Maildir format
@@ -134,8 +134,8 @@
  an internal LAN and the Internet, or perform final delivery to
  mailboxes.
  .
- ESMTP over SSL is handled by the regular ESMTP daemon in conjunction
- with the SSL/TLS wrapper.
+ ESMTP over TLS is handled by the regular ESMTP daemon in conjunction
+ with the TLS wrapper.
 
 Package: courier-faxmail
 Architecture: any
@@ -151,7 +151,7 @@
 Description: Courier mail server - Fax<->mail gateway
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  The courierfax module implements a faxmail gateway, which faxes a printed
@@ -169,7 +169,7 @@
 Description: Courier mail server - web-based administration frontend
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  The web-based administration and configuration tool for the Courier
@@ -198,7 +198,7 @@
 Description: Courier mail server - webmail server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  This package contains the SqWebMail webmail server, which
@@ -213,7 +213,7 @@
 Description: Courier mail server - PCP server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  This package contains the PCP (Personal Calendaring Protocol) server
@@ -238,14 +238,14 @@
 Description: Courier mail server - POP3 server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  This package provide the POP3 daemon for Courier. It only supports email
  stored in the Maildir format.
  .
- POP3 over SSL is handled by the regular POP3 daemon from in
- conjunction with the SSL/TLS wrapper.
+ POP3 over TLS is handled by the regular POP3 daemon from in
+ conjunction with the TLS wrapper.
 
 Package: courier-imap
 Architecture: any
@@ -266,15 +266,15 @@
 Description: Courier mail server - IMAP server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  This package provides an IMAP server that accesses email stored in Maildirs
  format mailboxes. This server has an extremely small footprint and provides
  shared and virtual shared folders.
  .
- IMAP over SSL is handled by the regular IMAP daemon in conjunction
- with the SSL/TLS wrapper.
+ IMAP over TLS is handled by the regular IMAP daemon in conjunction
+ with the TLS wrapper.
 
 Package: courier-ldap
 Architecture: any
@@ -290,7 +290,7 @@
 Description: Courier mail server - LDAP support
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  This package contains support for LDAP authentication and
@@ -303,7 +303,7 @@
 Description: Courier mail server - additional documentation
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
  This package contains additional documentation for Courier.
@@ -314,9 +314,9 @@
          ${misc:Depends}
 Section: oldlibs
 Priority: extra
-Description: Courier mail server - SSL/TLS Support [transitional]
- The Courier mail transfer agent (MTA) is an integrated mail/groupware
- server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- SSL, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
- services within a single, consistent, framework.
- .
+Description: Courier mail server - TLS Support [transitional]
+ The Courier mail transfer agent (MTA) is an integrated mail/groupware
+ server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
+ TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
+ services within a single, consistent, framework.
+ .
