=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,7 @@
 		--with-mailuser=courier \
 		--with-mailgroup=courier \
 		--without-socks \
+		--with-gnutls \
 		--enable-workarounds-for-imap-client-bugs \
 		--with-authdaemonvar=/run/courier/authdaemon \
 		--with-db=gdbm \
