## courier 0.77.0

=== debian/changelog ===
courier (0.77.0-3) unstable; urgency=medium

  * Correct build-dependencies: Require at least version 2.0-2~
    of courier-unicode.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 15 Aug 2017 21:20:35 +0200

courier (0.77.0-2) unstable; urgency=medium

  * Correct build-dependencies: add gnupg2. Closes: #871685.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 13 Aug 2017 09:37:19 +0200

courier (0.77.0-1) unstable; urgency=medium

  * New upstream release. Closes: #871586.
  * Restrict build dependency on courier-unicode to 2.0 and newer.
  * Drop patches 0001-Include-cstdio-in-afx.h.patch
    0005-Ignore-and-.dpkg-a-z-files.patch, 0007-Fix-bashisms.patch,
    0009-Fix-linking-in-upstream-Makefiles.patch,
    0013-Add-P-to-ghostscript-invocation.patch,
    0014-Improve-error-reporting-in-preline.c.patch,
    0017-Fix-formatting-errors-in-syslog-calls.patch,
    0020-Add-perl-stanza-to-perlfilter-scripts.patch, and
    0026-Fix-TLS-verification-for-CNAMEs.patch: all of these got applied
    upstream.
  * Refresh patches 0010-Don-t-use-static-linking-in-libs-maildir.patch,
    0019-Remove-upstream-chown-on-install-target.patch,
    0022-mkesmtpdcert-should-use-certsdir.patch,
    0023-Fix-missing-AC_PROG_SYSCONFTOOL-macro-on-autoreconf.patch, and
    0024-Dynamically-resolver-mailuid-and-mailgid-on-runtime-.patch
  * Refresh, merge and simplify patch
    0012-Define-and-use-PEMFILE-in-mkesmtpdcert.patch
  * Drop bogus links to pem files.
  * Correct permissions on /etc/courier/esmtpauthclient in postinst
    script of courier-mta so it's readable for user courier.
  * Tighten permissions of the imapd.cnf and esmtpd.cnf files.
  * Update Dutch and Portuguese translations of debconf messages.
    Closes: #832278, #871400.
  * Update debconf templates.pot, add debconf-updatepo to the clean
    target.
  * Change priority extra to optional.

 -- Markus Wanner <markus@bluegap.ch>  Thu, 10 Aug 2017 01:20:09 +0200

courier (0.76.3-5) unstable; urgency=medium

  * Fix Debian patch 0012-Define-and-use-PEMFILE-in-mkesmtpdcert.patch:
    do not invoke 'install -b' twice from mkesmtpdcert, eliminating
    backup files not cleaned up by purge. Closes: #847348.
  * Add patch 0026-Fix-TLS-verification-for-CNAMEs.patch: correct TLS
    verification when DNS answers with CNAMEs. Closes: #860762.
  * Systemd service files: Correct delimiter of dependencies.
    Closes: #860765.
  * Fix init scripts: Add proper PIDFILE declarations to init scripts.
    Replace status_of_proc with a more direct call to pidofproc and
    simplify the courier and courierfilter init scripts. Closes: #860777.
  * Take over the package. Closes: #848978.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 08 May 2017 19:16:44 +0200

courier (0.76.3-4) unstable; urgency=medium

  * Orphan the package.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Dec 2016 15:03:32 +0100

courier (0.76.3-3) unstable; urgency=medium

  * Fix Debian patch that removed certtool support from Debian (Closes: #847174)
  * Install mkesmptdcert as mkcouriercert, symlink all other scripts to it
    and use basename to check the real certificate name
  * Rewrap d/control

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Dec 2016 11:51:27 +0100
