=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: courier
 Section: mail
 Priority: optional
-Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
-Uploaders: Ondřej Surý <ondrej@debian.org>
+Maintainer: Markus Wanner <markus@bluegap.ch>
 Standards-Version: 3.9.6
 Build-Depends: automake,
                autotools-dev,
                courier-authlib-dev (>= 0.66.4-5~),
                debhelper (>= 9),
+               default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
                dh-autoreconf,
                dh-exec,
-	       dh-systemd,
+               dh-systemd,
                expect,
                ghostscript,
+               gnupg2,
+               gnutls-bin,
                groff-base,
-               libcourier-unicode-dev,
+               libcourier-unicode-dev (>= 2.0-2~),
                libfam-dev,
                libgdbm-dev | libgdbmg1-dev,
+               libgnutls28-dev,
                libidn11-dev,
                libldap2-dev,
-               default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
                libpam0g-dev,
                libpcre3-dev,
                libperl-dev,
                libpq-dev,
                libsasl2-dev | libsasl-dev,
-	       libgnutls28-dev,
                libtool-bin | libtool,
                mgetty-fax,
                mime-support,
                netpbm,
-	       gnutls-bin,
                po-debconf,
                procps,
                zlib1g-dev
@@ -44,8 +44,8 @@
          courier-authlib (>= 0.66.1),
          courier-authlib-userdb,
          debconf | debconf-2.0,
+         gnutls-bin,
          lsb-base,
-	 gnutls-bin,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
          ${perl:Depends},
@@ -70,12 +70,11 @@
 
 Package: courier-maildrop
 Architecture: all
-Depends: maildrop,
-         debconf | debconf-2.0,
+Depends: debconf | debconf-2.0,
+         maildrop,
          ${misc:Depends}
 Suggests: courier-doc
 Section: oldlibs
-Priority: extra
 Description: Courier mail server - mail delivery agent [transitional package]
  This dummy package depends on standalone maildrop package and can be
  safely removed.
@@ -120,7 +119,6 @@
           courier-filter-perl,
           couriergrey,
           mail-reader
-Priority: extra
 Description: Courier mail server - ESMTP daemon
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3,
@@ -147,7 +145,6 @@
          ${shlibs:Depends}
 Suggests: courier-doc
 Recommends: netpbm
-Priority: extra
 Description: Courier mail server - Fax<->mail gateway
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
@@ -182,13 +179,13 @@
 Architecture: any
 Depends: apache2 | httpd-cgi,
          courier-base (= ${courier-base:Version}),
-         maildrop,
          cron,
          debconf | debconf-2.0,
          default-mta | mail-transport-agent,
          expect,
          iamerican | ispell-dictionary,
          ispell,
+         maildrop,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -234,7 +231,6 @@
           pop3-server
 Suggests: courier-doc,
           mail-reader
-Priority: extra
 Description: Courier mail server - POP3 server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
@@ -262,7 +258,6 @@
 Breaks: courier-imap-ssl (<< 4.16.2+0.75.0-1~)
 Replaces: courier-imap-ssl (<< 4.16.2+0.75.0-1~),
           imap-server
-Priority: extra
 Description: Courier mail server - IMAP server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
@@ -313,10 +308,13 @@
 Depends: courier-base (>= 0.75.0-1~),
          ${misc:Depends}
 Section: oldlibs
-Priority: extra
 Description: Courier mail server - TLS Support [transitional]
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
  TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
  services within a single, consistent, framework.
  .
+ This is a transitional package and can be safely removed.
+
+Package: courier-mta-ssl
+Architecture: all
