=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 # Copyright 2000-2012 by Stefan Hornburg (Racke) <racke@linuxia.de>
 # Copyright 2015 Ondřej Surý <ondrej@debian.org>
+# Copyright 2017 Markus Wanner <markus@bluegap.ch>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -180,6 +181,10 @@
 	  $(BUILD)/usr/share/man/man7/maildropfilter.7 \
 	  $(BUILD)/usr/share/man/man7/maildropgdbm.7
 
+	rm -f \
+	  $(BUILD)/usr/lib/courier/mkpop3dcert \
+	  $(BUILD)/usr/lib/courier/mkimapdcert
+
 # Run dh_install but fail on missing files
 	dh_install --list-missing
 
@@ -207,5 +212,11 @@
 	dh_gencontrol -pcourier-imap-ssl -- -v$(IMAPVER)+$(DEB_VERSION_UPSTREAM_REVISION)
 	dh_gencontrol -i --remaining-packages
 
+override_dh_auto_clean:
+	dh_auto_clean
+
+# Update translation files.
+	debconf-updatepo
+
 override_dh_auto_test:
 	:
